package net.java.dev.csseditor.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import net.java.dev.csseditor.CssEditor;

/**
 * An <code>Action</code> which allows changing focus to a window
 *
 * @author   <a href="mailto:uzi@landsmanns.com">uzi@landsmanns.com</a>
 */
public class ChangeWindow extends AbstractAction {

	private String elementName;
	private CssEditor cssEditor;


	/**
	 * Constructor for the ChangeWindow object
	 *
	 * @param elementName  the element name
	 * @param cssEditor    Description of the Parameter
	 */
	public ChangeWindow(CssEditor cssEditor, String elementName) {
		super(elementName);
		this.elementName = elementName;
		this.cssEditor = cssEditor;
	}


	/**
	 * Change focus to a selected window
	 *
	 * @param ae  the action event
	 */
	public void actionPerformed(ActionEvent ae) {
		cssEditor.changeFrame(elementName);
	}
}

