package net.java.dev.csseditor.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;
import javax.swing.JDesktopPane;

import net.java.dev.csseditor.CssEditor;
import net.java.dev.csseditor.EditorFrame;
/**
 * An <code>Action</code> which allows closing a frame
 *
 * @author   <a href="mailto:uzi@landsmanns.com">uzi@landsmanns.com</a>
 */
public class CloseElementAction extends AbstractAction {

	private CssEditor cssEditor;


	/**
	 * Constructor for the CloseElementAction object
	 *
	 * @param cssEditor  Description of the Parameter
	 */
	public CloseElementAction(CssEditor cssEditor) {
		super("Close element");
		this.cssEditor = cssEditor;
	}


	/**
	 * Constructor for the CloseElementAction object
	 *
	 * @param description  Description of the Parameter
	 * @param icon         Description of the Parameter
	 * @param cssEditor    Description of the Parameter
	 */
	public CloseElementAction(CssEditor cssEditor, String description, Icon icon) {
		super(description, icon);
		this.cssEditor = cssEditor;
	}


	/**
	 * Close the current frame
	 *
	 * @param ae  the action event
	 */
	public void actionPerformed(ActionEvent ae) {
		JDesktopPane desktop = cssEditor.getDesktop();
		if (desktop.getAllFrames().length > 0) {
			EditorFrame frame = cssEditor.getEditorFrame();
			cssEditor.removeFrame(frame);
		}
	}
}

