package net.java.dev.csseditor.actions;

import net.java.dev.csseditor.CssEditor;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;

/**
 * An <code>Action</code> which allows creating a new element
 *
 * @author   <a href="mailto:uzi@landsmanns.com">uzi@landsmanns.com</a>
 */
public class NewElementAction extends AbstractAction {

	private CssEditor cssEditor;
	
	/** Constructor for the NewElementAction object */
	public NewElementAction(CssEditor cssEditor) {
		super("Add new element");
		this.cssEditor = cssEditor;
	}


	/**
	 * Constructor for the NewElementAction object
	 *
	 * @param description  description of the <code>Action</code>
	 * @param icon         an <code>Icon</code> for the <code>Action</code>
	 */
	public NewElementAction(CssEditor cssEditor, String description, Icon icon) {
		super(description, icon);
		this.cssEditor = cssEditor;
	}


	/**
	 * Creates a frame for the new element
	 *
	 * @param ae  the action event
	 */
	public void actionPerformed(ActionEvent ae) {
		cssEditor.createNewFrame();
	}
}

