package net.java.dev.csseditor.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import net.java.dev.csseditor.CssEditor;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">uzi@landsmanns.com</a>
 */
public class ParseElementAction extends AbstractAction {

	private CssEditor cssEditor;


	/**
	 * Constructor for the ParseElementAction object
	 *
	 * @param cssEditor  Description of the Parameter
	 */
	public ParseElementAction(CssEditor cssEditor) {
		super("Parse Current Element");
		this.cssEditor = cssEditor;
	}


	/**
	 * Constructor for the ParseElementAction object
	 *
	 * @param description  Description of the Parameter
	 * @param icon         Description of the Parameter
	 * @param cssEditor    Description of the Parameter
	 */
	public ParseElementAction(CssEditor cssEditor, String description, Icon icon) {
		super(description, icon);
		this.cssEditor = cssEditor;
	}


	/**
	 * Description of the Method
	 *
	 * @param ae  Description of the Parameter
	 */
	public void actionPerformed(ActionEvent ae) {
		cssEditor.getParser().parseElement(cssEditor.getView());
	}
}

