package net.java.dev.csseditor.actions;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;
import javax.swing.JOptionPane;

import net.java.dev.csseditor.CssEditor;
import net.java.dev.csseditor.EditorFrame;
/**
 * An <code>Action</code> which allows renaming the current element
 *
 * @author   <a href="mailto:uzi@landsmanns.com">uzi@landsmanns.com</a>
 */
public class RenameElementAction extends AbstractAction {

	private CssEditor cssEditor;


	/**
	 * Constructor for the RenameElementAction object
	 *
	 * @param cssEditor  Description of the Parameter
	 */
	public RenameElementAction(CssEditor cssEditor) {
		super("Rename element");
		this.cssEditor = cssEditor;
	}


	/**
	 * Constructor for the RenameElementAction object
	 *
	 * @param description  Description of the Parameter
	 * @param icon         Description of the Parameter
	 * @param cssEditor    Description of the Parameter
	 */
	public RenameElementAction(CssEditor cssEditor, String description, Icon icon) {
		super(description, icon);
		this.cssEditor = cssEditor;
	}



	/**
	 * Rename the current element
	 *
	 * @param ae  the action event
	 */
	public void actionPerformed(ActionEvent ae) {
		EditorFrame frame = cssEditor.getEditorFrame();
		if (frame == null) {
			return;
		}
		String oldTitle = frame.getTitle();
		String newTitle = JOptionPane.showInputDialog("New name:", oldTitle);
		frame.setElementName(newTitle);
	}
}

