package net.java.dev.csseditor.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import net.java.dev.csseditor.CssEditor;
import net.java.dev.csseditor.jedit.JEditValidator;
import net.java.dev.csseditor.Validator;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">uzi@landsmanns.com</a>
 */
public class ValidateAction extends AbstractAction {

	private CssEditor cssEditor;
	private Validator validator = new JEditValidator();


	/**
	 * Constructor for the ValidateAction object
	 *
	 * @param cssEditor  Description of the Parameter
	 */
	public ValidateAction(CssEditor cssEditor) {
		super("Validate File");
		this.cssEditor = cssEditor;
	}


	/**
	 * Constructor for the ValidateAction object
	 *
	 * @param description  description of the <code>Action</code>
	 * @param icon         an <code>Icon</code> for the <code>Action</code>
	 * @param cssEditor    Description of the Parameter
	 */
	public ValidateAction(CssEditor cssEditor, String description, Icon icon) {
		super(description, icon);
		this.cssEditor = cssEditor;
	}



	/**
	 * Description of the Method
	 *
	 * @param ae  Description of the Parameter
	 */
	public void actionPerformed(ActionEvent ae) {
		validator.val(cssEditor.getView().getBuffer().getPath());
	}
}

