package net.java.dev.csseditor.choosers;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.Frame;

import javax.swing.JDialog;

import net.java.dev.csseditor.listeners.AbstractListener;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
 */
public abstract class AbstractChooser extends JDialog {

	/** Description of the Field */
	protected AbstractListener listener;
	/** Description of the Field */
	protected String[] unitList = {"ex", "em", "px", "cm", "mm", "pc", "in", "pt"};


	/**
	 * Constructor for the AbstractChooser object
	 *
	 * @param listener  Description of the Parameter
	 * @param owner     Description of the Parameter
	 * @param title     Description of the Parameter
	 * @param modal     Description of the Parameter
	 */
	public AbstractChooser(final AbstractListener listener, Frame owner, String title, boolean modal) {
		super(owner, title, modal);

		this.listener = listener;
		setLocationRelativeTo(null);
		addWindowListener(
			new WindowAdapter() {
				public void windowClosing(WindowEvent we) {
					listener.resetValues();
				}
			});
	}
}

