package net.java.dev.csseditor.choosers;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.FlowLayout;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSpinner;

import net.java.dev.csseditor.listeners.AbstractListener;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
 */
public class DoublePercentChooser extends AbstractChooser {
	private JSpinner percentSpinnerX = new JSpinner();
	private JSpinner percentSpinnerY = new JSpinner();


	/**
	 * Constructor for the SizeChooser object
	 *
	 * @param listener  Description of the Parameter
	 * @param title     Description of the Parameter
	 */
	public DoublePercentChooser(final AbstractListener listener, String title) {
		super(listener, null, title, true);

		getContentPane().setLayout(new BorderLayout());

		JPanel panel = new JPanel();
		JPanel percentX = new JPanel(new FlowLayout(FlowLayout.CENTER));
		JPanel percentY = new JPanel(new FlowLayout(FlowLayout.CENTER));
		JPanel buttons = new JPanel();

		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		percentSpinnerX.setPreferredSize(new Dimension(50, 20));
		percentSpinnerY.setPreferredSize(new Dimension(50, 20));

		percentX.add(new JLabel("x:"));
		percentX.add(percentSpinnerX);

		percentY.add(new JLabel("y:"));
		percentY.add(percentSpinnerY);

		JButton okButton = new JButton("Ok");
		JButton cancelButton = new JButton("Cancel");

		okButton.setActionCommand("ok");
		cancelButton.setActionCommand("cancel");

		ButtonListener bl = new ButtonListener();

		okButton.addActionListener(bl);
		cancelButton.addActionListener(bl);

		buttons.add(okButton);
		buttons.add(cancelButton);

		panel.add(percentX);
		panel.add(percentY);
		getContentPane().add(panel, BorderLayout.NORTH);
		getContentPane().add(new JLabel(" "), BorderLayout.CENTER);
		getContentPane().add(buttons, BorderLayout.SOUTH);

		pack();
	}


	/**
	 * Description of the Class
	 *
	 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
	 */
	class ButtonListener implements ActionListener {

		/**
		 * Description of the Method
		 *
		 * @param e  Description of the Parameter
		 */
		public void actionPerformed(ActionEvent e) {
			String which = e.getActionCommand();
			if (which.equals("ok")) {
				listener.setValues(percentSpinnerX.getValue(),
						percentSpinnerY.getValue(), "%");
			} else {
				listener.resetValues();
			}

			setVisible(false);
			dispose();
		}
	}
}

