package net.java.dev.csseditor.choosers;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

import net.java.dev.csseditor.listeners.AbstractListener;
import net.java.dev.csseditor.tabs.AbstractTabPanel;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
 */
public class FileChooser extends AbstractChooser {

	private FileChooserField chooser = new FileChooserField(AbstractTabPanel.LARGE_FIELD,
			AbstractTabPanel.MAX_COMBO_WIDTH, AbstractTabPanel.MAX_COMBO_HEIGHT);


	/**
	 * Constructor for the SizeChooser object
	 *
	 * @param listener  Description of the Parameter
	 */
	public FileChooser(final AbstractListener listener) {
		super(listener, null, "Choose file", true);

		getContentPane().setLayout(new BorderLayout());

		JPanel panel = new JPanel();
		JPanel size = new JPanel();
		JPanel buttons = new JPanel();

		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		size.add(chooser);

		JButton okButton = new JButton("Ok");
		JButton cancelButton = new JButton("Cancel");

		okButton.setActionCommand("ok");
		cancelButton.setActionCommand("cancel");

		ButtonListener bl = new ButtonListener();

		okButton.addActionListener(bl);
		cancelButton.addActionListener(bl);

		buttons.add(okButton);
		buttons.add(cancelButton);

		panel.add(new JLabel(" "));
		panel.add(size);
		getContentPane().add(panel, BorderLayout.NORTH);
		getContentPane().add(new JLabel(" "), BorderLayout.CENTER);
		getContentPane().add(buttons, BorderLayout.SOUTH);

		pack();
	}


	/**
	 * Description of the Class
	 *
	 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
	 */
	class ButtonListener implements ActionListener {
		/**
		 * Description of the Method
		 *
		 * @param e  Description of the Parameter
		 */
		public void actionPerformed(ActionEvent e) {
			String which = e.getActionCommand();
			if (which.equals("ok")) {
				listener.setValues(chooser.getText());
			} else {
				listener.resetValues();
			}

			setVisible(false);
			dispose();
		}
	}
}

