package net.java.dev.csseditor.choosers;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.FlowLayout;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSpinner;

import net.java.dev.csseditor.listeners.AbstractListener;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
 */
public class SizeChooser extends AbstractChooser {
	private JSpinner sizeSpinner = new JSpinner();


	/**
	 * Constructor for the SizeChooser object
	 *
	 * @param listener  Description of the Parameter
	 * @param title     Description of the Parameter
	 */
	public SizeChooser(final AbstractListener listener, String title) {
		super(listener, null, title, true);

		getContentPane().setLayout(new BorderLayout());

		JPanel panel = new JPanel();
		JPanel size = new JPanel(new FlowLayout(FlowLayout.CENTER));
		JPanel buttons = new JPanel();

		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		sizeSpinner.setPreferredSize(new Dimension(50, 20));

		size.add(sizeSpinner);

		JButton okButton = new JButton("Ok");
		JButton cancelButton = new JButton("Cancel");

		okButton.setActionCommand("ok");
		cancelButton.setActionCommand("cancel");

		ButtonListener bl = new ButtonListener();

		okButton.addActionListener(bl);
		cancelButton.addActionListener(bl);

		buttons.add(okButton);
		buttons.add(cancelButton);

		panel.add(size);
		getContentPane().add(panel, BorderLayout.NORTH);
		getContentPane().add(new JLabel(" "), BorderLayout.CENTER);
		getContentPane().add(buttons, BorderLayout.SOUTH);

		pack();
	}


	/**
	 * Description of the Class
	 *
	 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
	 */
	class ButtonListener implements ActionListener {

		/**
		 * Description of the Method
		 *
		 * @param e  Description of the Parameter
		 */
		public void actionPerformed(ActionEvent e) {
			String which = e.getActionCommand();
			if (which.equals("ok")) {
				listener.setValues(sizeSpinner.getValue());
			} else {
				listener.resetValues();
			}

			setVisible(false);
			dispose();
		}
	}
}

