package net.java.dev.csseditor.choosers;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.FlowLayout;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import net.java.dev.csseditor.listeners.AbstractListener;
import net.java.dev.csseditor.tabs.AbstractTabPanel;

/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
 */
public class StringChooser extends AbstractChooser {

	JTextField[] fields;


	/**
	 * Constructor for the SizeChooser object
	 *
	 * @param listener   Description of the Parameter
	 * @param title      Description of the Parameter
	 * @param arguments  Description of the Parameter
	 */
	public StringChooser(final AbstractListener listener, String title, String[] arguments) {
		super(listener, null, title, true);

		getContentPane().setLayout(new BorderLayout());

		JPanel panel = new JPanel();
		JPanel buttons = new JPanel();

		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		fields = new JTextField[arguments.length];

		for (int i = 0; i < arguments.length; i++) {
			JPanel stringPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
			fields[i] = new JTextField(AbstractTabPanel.MAX_FIELD_WIDTH);

			stringPanel.add(new JLabel(arguments[i] + ": "));
			stringPanel.add(fields[i]);

			panel.add(stringPanel);
		}
		JButton okButton = new JButton("Ok");
		JButton cancelButton = new JButton("Cancel");

		okButton.setActionCommand("ok");
		cancelButton.setActionCommand("cancel");

		ButtonListener bl = new ButtonListener();

		okButton.addActionListener(bl);
		cancelButton.addActionListener(bl);

		buttons.add(okButton);
		buttons.add(cancelButton);

		getContentPane().add(panel, BorderLayout.NORTH);
		getContentPane().add(new JLabel(" "), BorderLayout.CENTER);
		getContentPane().add(buttons, BorderLayout.SOUTH);

		pack();
	}


	/**
	 * Description of the Class
	 *
	 * @author   <a href="uzi@landsmanns.com">Uzi Landsmann</a>
	 */
	class ButtonListener implements ActionListener {

		/**
		 * Description of the Method
		 *
		 * @param e  Description of the Parameter
		 */
		public void actionPerformed(ActionEvent e) {
			String which = e.getActionCommand();
			if (which.equals("ok")) {
				String[] strings = new String[fields.length];
				for (int i = 0; i < fields.length; i++) {
					strings[i] = fields[i].getText();
				}
				listener.setValues(strings);
			} else {
				listener.resetValues();
			}

			setVisible(false);
			dispose();
		}
	}
}

