package net.java.dev.csseditor.tabs;

import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;
import javax.swing.JEditorPane;

import java.net.URL;
import javax.swing.text.html.HTMLFrameHyperlinkEvent;
import javax.swing.text.html.HTMLDocument;

import infoviewer.InfoViewer;

import org.gjt.sp.jedit.gui.DockableWindowManager;
import org.gjt.sp.jedit.View;

import net.java.dev.csseditor.CssEditor;



/**
 * Description of the Class
 *
 * @author   <a href="mailto:uzi@landsmanns.com">Uzi Landsmann</a>
 */
class LabelLinkListener implements HyperlinkListener {

	/**
	 * Description of the Method
	 *
	 * @param e  Description of the Parameter
	 */
	public void hyperlinkUpdate(HyperlinkEvent he) {
		if (he.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
			URL url = he.getURL();
			
			JEditorPane pane = (JEditorPane) he.getSource();
			if (he instanceof HTMLFrameHyperlinkEvent) {
				HTMLFrameHyperlinkEvent evt = (HTMLFrameHyperlinkEvent) he;
				HTMLDocument doc = (HTMLDocument) pane.getDocument();
				doc.processHTMLFrameHyperlinkEvent(evt);
			} else {
				try {
					View view = CssEditor.getView();
					DockableWindowManager mgr = view.getDockableWindowManager();
					String el = "infoviewer";
					if (mgr.getDockable(el) == null) {
						mgr.addDockableWindow(el);
					}
					mgr.showDockableWindow(el);
					InfoViewer infoViewer = (InfoViewer)mgr.getDockable(el);
					infoViewer.gotoURL(he.getURL(), true);		
				} catch (Throwable t) {
					t.printStackTrace();
				}
			}
		}
	}
	
	/** Show the InfoViewer plugin */
	private void showInfoViewer() {
		View view = CssEditor.getView();
		DockableWindowManager mgr = view.getDockableWindowManager();
		String el = "infoviewer";
		if (mgr.getDockable(el) == null) {
			mgr.addDockableWindow(el);
		}
		mgr.showDockableWindow(el);
	}
}

